Bug 148494 - databases/p5-BerkeleyDB: depend on BDB 4.7+
Summary: databases/p5-BerkeleyDB: depend on BDB 4.7+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-11 14:20 UTC by Gabor Kovesdan
Modified: 2010-10-11 21:49 UTC (History)
0 users

See Also:


Attachments
p5-BerkeleyDB (596 bytes, text/plain)
2010-07-11 14:20 UTC, Gabor Kovesdan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kovesdan freebsd_committer 2010-07-11 14:20:03 UTC
	Older BDB versions cause some performance impact in security/amavisd-new
	and probably in another software, as well. We could pull BDB 4.7+ from
	amavisd-new before p5-BerkeleyDB and let it use that but that only works
	for fresh install, in other cases we cannot assure that it uses a higher
	version, so it can only be fixed at the root. Besides, it is better to
	use newer versions for all dependants regardless if there are reported
	problems or not.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-11 14:29:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer 2010-07-11 22:51:02 UTC
The following patch will update p5-BerkeleyDB to version 0.42

Additional 
- db50 is blocked since it is not supported at this time
- rewrite pkg-descr to match README off p5-BerkeleyDB


@Gabor,
maybe this is a better solution since a hard coded version off bdb
brings more trouble/conflicts than it solves.

I also read on the mailing list about amavisd-new and perf. issues with bdb
41/42 but the only statemant from Marc there was he runs successful on db47.
(Why not force in amavisd-new a higher db version with
INVALID_BDB_VER=2 3 40 41 42 43 50+ ?)



--- patch_p5-BerkeleyDB-0.42.txt begins here ---
--- Makefile
+++ Makefile
@@ -6,15 +6,16 @@
 #
 
 PORTNAME=	BerkeleyDB
-PORTVERSION=	0.41
+PORTVERSION=	0.42
 CATEGORIES=	databases perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	clsung@FreeBSD.org
-COMMENT=	Perl5 interface to the Berkeley DB package
+COMMENT=	Perl5 extension for Berkeley DB version 2, 3 or 4
 
-USE_BDB=	yes
+USE_BDB?=	47+
+INVALID_BDB_VER=50+
 
 PERL_CONFIGURE=	yes
 
--- distinfo
+++ distinfo
@@ -1,3 +1,3 @@
-MD5 (BerkeleyDB-0.41.tar.gz) = 5941c90783a55ca4280c2963bbe1ac83
-SHA256 (BerkeleyDB-0.41.tar.gz) = a71854cf014ce292ad11432ece5e796f4b2ba0e54ef162a7e67691ab8110739a
-SIZE (BerkeleyDB-0.41.tar.gz) = 184357
+MD5 (BerkeleyDB-0.42.tar.gz) = 4b9c1f6e62b6ef40e6bdc673a3a30a32
+SHA256 (BerkeleyDB-0.42.tar.gz) = 7c88bd1ede255bbc6357ef090640e054a605070efffa7486326b98c60fd71c4a
+SIZE (BerkeleyDB-0.42.tar.gz) = 184678
--- pkg-descr
+++ pkg-descr
@@ -1,13 +1,15 @@
-This is the perl5 interface to Berkeley DB version 2, 3, 4 or 4.1, which
-it depends on.
+Perl extension for Berkeley DB version 2, 3 or 4
+================================================
 
-You may want to use this, instead of the default dbm that perl provides,
-as that one is based on version 1, which is seriously buggy. E.g., if
-keys or data are over a hundred bytes or so, bad things may happen to
-your dbm files. Never mind all the extra features....
+BerkeleyDB is a module which allows Perl programs to make use of the
+facilities provided by Berkeley DB version 2 or greater. (Note: if
+you want to use version 1 of Berkeley DB with Perl you need the DB_File
+module).
 
-WWW: http://search.cpan.org/dist/BerkeleyDB/
-WWW: http://www.sleepycat.com/
+Berkeley DB is a C library which provides a consistent interface to a
+number of database formats. BerkeleyDB provides an interface to all
+four of the database types (hash, btree, queue and recno) currently
+supported by Berkeley DB.
 
-Bill Wells
-bill@twwells.com
+WWW: http://search.cpan.org/dist/BerkeleyDB/
+WWW: http://www.oracle.com/database/berkeley-db/
--- patch_p5-BerkeleyDB-0.42.txt ends here ---
Comment 3 Gabor Kovesdan freebsd_committer 2010-07-11 23:05:31 UTC
Em 2010.07.11. 23:51, olli hauer escreveu:
> @Gabor,
> maybe this is a better solution since a hard coded version off bdb
> brings more trouble/conflicts than it solves.
>
>    
Yes, I also think ?= is fine.
> I also read on the mailing list about amavisd-new and perf. issues with bdb
> 41/42 but the only statemant from Marc there was he runs successful on db47.
> (Why not force in amavisd-new a higher db version with
> INVALID_BDB_VER=2 3 40 41 42 43 50+ ?)
>    
Because it doesn't work as I explained before. This knob just prevents 
it from installing when no eligible version is available. Let's say you 
have db41 and db47 installed but p5-BerkeleyDB is built on db41. This 
know will just pass because db47 is there but still, you are using the 
wrong version through p5-BerkeleyDB.

Btw, apart from Mark, another amavisd-new/FreeBSD user wrote back to me 
in private that using db47 solved his problems.

Gabor
Comment 4 Philip M. Gollucci freebsd_committer 2010-08-28 04:21:19 UTC
Responsible Changed
From-To: clsung->pgollucci

committer timeout (clsung@ > 1 month)
Comment 5 Philip M. Gollucci freebsd_committer 2010-08-28 06:38:43 UTC
Responsible Changed
From-To: pgollucci->ohauer

ohauer is now a committer
Comment 6 Philip M. Gollucci freebsd_committer 2010-10-10 07:58:17 UTC
Responsible Changed
From-To: ohauer->pgollucci

committer timeout (ohauer@FreeBSD.org ; 43 days)
Comment 7 Philip M. Gollucci freebsd_committer 2010-10-11 21:49:16 UTC
State Changed
From-To: open->closed

Committed, Thanks!